commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Gregory <garydgreg...@gmail.com>
Subject Re: commons-compress git commit: [COMPRESS-392] Add Brotli decoder based on the Google Brotli library.
Date Wed, 03 May 2017 18:50:10 GMT
On May 2, 2017 9:19 PM, "Stefan Bodewig" <bodewig@apache.org> wrote:

On 2017-05-02, <ggregory@apache.org> wrote:

> @@ -245,6 +251,7 @@ jar, tar, zip, dump, 7z, arj.
>          <configuration>
>            <instructions>
>              <Import-Package>org.tukaani.xz;resolution:=optional</
Import-Package>
> +            <Import-Package>org.brotli.dec;resolution:=optional</
Import-Package>
>            </instructions>
>          </configuration>
>        </plugin>

org.brotli:dec is not an OSGi bundle as far as I can tell. Is this going
to work or will it break Compress in an OSGi environment?


Good question... I do not see use of the bundle plugin in
https://github.com/google/brotli/blob/master/java/org/brotli/dec/pom.xml

Assuming I am looking in right place...

Maybe a PR would help ;-)

Gary


Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message